Subject: bug#39154: 27.0.60; Use character history in zap-up-to-char

From: Tino Calancha <[email-masked]>
Date: Wed, 5 Feb 2020 08:21:22 +0100 (CET)

Juri, do we have a similar command (as those pulling things into the 
search string) that pulls the region?

I mean something as the following code (I find useful having a 
binding for it in isearch-mode-map):

(defun my-isearch-yank-selection (beg end)
   "Pull selection into search string."
   (interactive
    (let ((region (and (use-region-p) (region-bounds))))
      (unless region (user-error "No selected region"))
      (list (caar region) (cdar region))))
   (isearch-yank-internal
    (lambda () (goto-char (if (= (point) beg) end beg))
      (when select-active-regions (deactivate-mark))
      (point))))

If we don't have it I can open a separated bug report for it.